Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.util
Class ExProperties

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--ru.biosoft.util.ExProperties

public class ExProperties
extends Properties

Method Summary
`synchronized void` | `load(InputStream inStream)`
`static void` | `replaceToken(Properties props, String token, String value)` Replace $token$ with specified value in all String properties.
`synchronized void` | `store(OutputStream out, String header)`

Methods inherited from class java.util.Properties
`setProperty, save, getProperty, getProperty, propertyNames, list, list`

Methods inherited from class java.util.Hashtable
`size, isEmpty, keys, elements, contains, containsValue, containsKey, get, put, remove, putAll, clear, clone, toString, keySet, entrySet, values, equals, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### load

    public synchronized void load(InputStream inStream)
                            throws java.io.IOException

### replaceToken

    public static void replaceToken(Properties props, String token, String value)

  Replace $token$ with specified value in all String properties.
  Parameters:
    props - All properties which will be parsed and replaced.
    token - token (without bound $) which should be replaced.
    value - value for replacing token.

### store

    public synchronized void store(OutputStream out, String header)
                             throws java.io.IOException

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM